# Get the recommended gas price for ETH/Base/BSC chain

This interface is used to obtain the recommended gas price of ETH/Base chain (real time)

Access point: /defi/quotation/v1/chains/{network}/gas\_price

Request method: GET

Input parameters:

none

Output parameters:

| **Parameter name** | **Parameter Description**                                                                                                                  | E**xample**                                                                                                                                                                                                                                      |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| msg                | cause of error                                                                                                                             | success                                                                                                                                                                                                                                          |
| code               | error code, 0 means normal, -1 means error                                                                                                 | 0                                                                                                                                                                                                                                                |
| data               | last\_block, average, high, low, suggest\_base\_fee, eth\_usd\_price, high\_prio\_fee, average\_prio\_fee, low\_prio\_fee and other values | `{"last_block":17527078,"average":"16493364199","high":"17493364199","low":"16493364199","suggest_base_fee":"16493364199","high_prio_fee":"300000000","average_prio_fee":"100000000","low_prio_fee":"50000000","eth_usd_price":"1809.84970000"}` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gmgn.ai/index/cooperation-api-integrate-gmgn-eth-base-bsc-trading-api/get-the-recommended-gas-price-for-eth-base-bsc-chain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
